com.brightcove.player.captioning

## Class BrightcoveCaptionPropertiesFragment

- java.lang.Object
- - android.app.Fragment
  - - android.preference.PreferenceFragment
    - - com.brightcove.player.captioning.BrightcoveCaptionPropertiesFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.preference.Preference.OnPreferenceChangeListener, android.view.View.OnCreateContextMenuListener, ListDialogPreference.OnValueChangedListener

      public class BrightcoveCaptionPropertiesFragment
      extends android.preference.PreferenceFragment
      implements android.preference.Preference.OnPreferenceChangeListener, ListDialogPreference.OnValueChangedListener

  A preference screen for users to customize their ~captions experience~

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.preference.PreferenceFragment

      `android.preference.PreferenceFragment.OnPreferenceStartFragmentCallback`

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrightcoveCaptionPropertiesFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onActivityCreated(android.os.Bundle savedInstanceState)`
    `void` | `onCreate(android.os.Bundle bundle)`
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
    `void` | `onDestroyView()`
    `boolean` | `onPreferenceChange(android.preference.Preference preference, java.lang.Object newValue)` Listens for changes to the Preference objects and updates them as necessary.
    `void` | `onResume()`
    `void` | `onValueChanged(ListDialogPreference preference, int value)` Listens for changes to the Preference objects and updates them as necessary.
    `void` | `onViewCreated(android.view.View view, android.os.Bundle savedInstanceState)`

    - ### Methods inherited from class android.preference.PreferenceFragment

      `addPreferencesFromIntent, addPreferencesFromResource, findPreference, getPreferenceManager, getPreferenceScreen, onActivityResult, onDestroy, onPreferenceTreeClick, onSaveInstanceState, onStart, onStop, setPreferenceScreen`

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroyOptionsMenu, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onTrimMemory, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

  - ### Constructor Detail

    - #### BrightcoveCaptionPropertiesFragment

          public BrightcoveCaptionPropertiesFragment()

  - ### Method Detail

    - #### onCreate

          public void onCreate(android.os.Bundle bundle)

      Overrides:
        `onCreate` in class `android.preference.PreferenceFragment`

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                android.view.ViewGroup container,
                                                android.os.Bundle savedInstanceState)

      Overrides:
        `onCreateView` in class `android.preference.PreferenceFragment`

    - #### onViewCreated

          public void onViewCreated(android.view.View view,
                                    android.os.Bundle savedInstanceState)

      Overrides:
        `onViewCreated` in class `android.preference.PreferenceFragment`

    - #### onActivityCreated

          public void onActivityCreated(android.os.Bundle savedInstanceState)

      Overrides:
        `onActivityCreated` in class `android.preference.PreferenceFragment`

    - #### onResume

          public void onResume()

      Overrides:
        `onResume` in class `android.app.Fragment`

    - #### onDestroyView

          public void onDestroyView()

      Overrides:
        `onDestroyView` in class `android.preference.PreferenceFragment`

    - #### onPreferenceChange

          public boolean onPreferenceChange(android.preference.Preference preference,
                                            java.lang.Object newValue)

      Listens for changes to the Preference objects and updates them as necessary.
      Specified by:
        `onPreferenceChange` in interface `android.preference.Preference.OnPreferenceChangeListener`

    - #### onValueChanged

          public void onValueChanged(ListDialogPreference preference,
                                     int value)

      Listens for changes to the Preference objects and updates them as necessary.
      Specified by:
        `onValueChanged` in interface `ListDialogPreference.OnValueChangedListener`